package cn.com.taiji.beidou.ship.archives.mapper;

import cn.com.taiji.beidou.ship.archives.domain.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author CHEN
 * @Date 2022/11/9 9:55
 */
@Mapper
public interface ShipArchivesMapper{

    /**
     * 根据北斗设备号查询
     * @param devideNo
     * @return
     */
    ShipArchivesData selectByDevideNo(String devideNo);

    /**
     * 更新
     * @param shipArchivesData
     */
    void updateById(ShipArchivesData shipArchivesData);

    /**
     * 插入
     * @param shipArchivesData
     * @return
     */
    int insertShip(ShipArchivesData shipArchivesData);

    /**
     * 查询船舶档案列表
     * @param shipArchivesREQ
     * @return
     */
    List<ShipArchivesData> selectShipArchivesList(ShipArchivesREQ shipArchivesREQ);

    /**
     * 船只详情
     * @param devideNo
     * @param userId
     * @return
     */
    ShipArchivesData selectById(@Param("devideNo") String devideNo,@Param("userId") String userId);

    /**
     * 处置详情
     * @param warningId
     * @return
     */
    ShipDisposeResult selectDisposeById(@Param("devideNo") String devideNo, @Param("warningId") String warningId);

    /**
     * 统计
     * @param deptId
     * @return
     */
    ShipArchivesTotal getShipTotal(@Param("deptId")String deptId,@Param("speed") String speed);


}
